https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}/authorizationsCreate or update multiple user authorizations in a single request. The body of the request is a list of userAuthorizationSomething objects. To create a new authorization, specify the `agentUser` and `permission` fields, with the optional `startDate` and `endDate` fields. To update an existing authorization, specify the `authorizationId` field and the `startDate` and/or `endDate` fields. For example, to create a new authorization and update the end date of an existing authorization, your request body might look like this: ``` { "authorizations": [ { "agentUser": { "userId": "1470ff66-xxxx-xxxx-xxxx-8c46f140da37", "accountId": "230546a7-xxxx-xxxx-xxxx-af205d5494ad" }, "permission": "manage" }, { "authorizationId": "b73ac983-xxxx-xxxx-xxxx-b3c0ea5b09d3", "endDate": "2023-05-09T21:36:27.0000000+00:00" } ] } ``` The principal user is specified by the `userId` path parameter. To call this endpoint, you must be an account administrator or the principal user. **Note:** To create an authorization with signing permission, the `AllowDelegationSigning` setting must be enabled on the account. If you share signing access, the agent user will receive an email notification. Each principal user can only share signing permission with one agent user.
The external account number (int) or account ID GUID.
The ID of the principal user.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}/authorizations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}/authorizationsCreate or update multiple user authorizations in a single request. The body of the request is a list of userAuthorizationSomething objects. To create a new authorization, specify the `agentUser` and `permission` fields, with the optional `startDate` and `endDate` fields. To update an existing authorization, specify the `authorizationId` field and the `startDate` and/or `endDate` fields. For example, to create a new authorization and update the end date of an existing authorization, your request body might look like this: ``` { "authorizations": [ { "agentUser": { "userId": "1470ff66-xxxx-xxxx-xxxx-8c46f140da37", "accountId": "230546a7-xxxx-xxxx-xxxx-af205d5494ad" }, "permission": "manage" }, { "authorizationId": "b73ac983-xxxx-xxxx-xxxx-b3c0ea5b09d3", "endDate": "2023-05-09T21:36:27.0000000+00:00" } ] } ``` The principal user is specified by the `userId` path parameter. To call this endpoint, you must be an account administrator or the principal user. **Note:** To create an authorization with signing permission, the `AllowDelegationSigning` setting must be enabled on the account. If you share signing access, the agent user will receive an email notification. Each principal user can only share signing permission with one agent user.
The external account number (int) or account ID GUID.
The ID of the principal user.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}/authorizations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}